package com.example.wholeestate.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.common.uuid.IdGen;
import com.example.wholeestate.dao.PageImgMapper;
import com.example.wholeestate.model.PageImg;
import com.example.wholeestate.service.IPageImgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-22
 */
@Service
public class PageImgServiceImpl extends ServiceImpl<PageImgMapper, PageImg> implements IPageImgService {
@Autowired
private  PageImgMapper pageImgMapper;

    private IdGen idGen = IdGen.get();
    @Override
    public ResponseBean apageImgSelect(String id) {
        ResponseBean responseBean= new ResponseBean();
        QueryWrapper<PageImg> pageImgQueryWrapper = new QueryWrapper<>();
        if (null!=id) {
            pageImgQueryWrapper.eq("page_id", id);
            PageImg rageImg = pageImgMapper.selectOne(pageImgQueryWrapper);
            responseBean.addSuccess(rageImg);
            return responseBean;
        }
        List<PageImg> pageImgList= pageImgMapper.selectImgList();
        responseBean.addSuccess(pageImgList);
        return responseBean;
    }

    @Override
    public ResponseBean pageImAdd(String imgLocation, String imgType, String url, String orderNo) {
        ResponseBean responseBean= new ResponseBean();
        PageImg pageImg= new PageImg();
                pageImg.setPageId(idGen.nextId()+"");
                pageImg.setImgLocation(imgLocation);
                pageImg.setImgType(imgType);
                pageImg.setUrl(url);
                pageImg.setStatus(0);
                pageImg.setCreateDate(LocalDateTime.now());
                pageImg.setOrderNo(Integer.valueOf(orderNo));
        pageImgMapper.insert(pageImg);
        responseBean.addSuccess("成功");
        return responseBean;
    }

    @Override
    public ResponseBean pageImUpdate(String imgLocation, String imgType, String url, String orderNo) {
        ResponseBean responseBean= new ResponseBean();
        QueryWrapper<PageImg> pageImgQueryWrapper = new QueryWrapper<>();
//        pageImgQueryWrapper.eq("page_id", id);
//        pageImgMapper.insert(pageImg);
        responseBean.addSuccess("成功");
        return responseBean;
    }
}
