package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_building_apartment")
public class BuildingApartment implements Serializable {

    private static final long serialVersionUID = 1L;

    private String apartmentId;

    private String buildingId;

    private String apartmentName;

    private String remark;

    private Integer status;

    private LocalDateTime createDate;

    /**
     * 户型图片列表
     */
    @TableField(exist = false)
    private List<BuildingImg> buildingImgList;

    /**
     * 销售状态
     */
    private String marketStatus;

}
